{-# LANGUAGE OverloadedStrings #-}

-- | Mapping from glyph names to unicode characters
-- for TeX fonts

module Pdf.Content.TexGlyphList
(
  texGlyphList
)
where

import Data.ByteString (ByteString)
import Data.Map (Map)
import qualified Data.Map as Map

-- | Glyph list
texGlyphList :: Map ByteString Char
texGlyphList = Map.fromList
  [("Delta", '\x2206')
  ,("Ifractur", '\x2111')
  ,("FFsmall", '\xF766')
  ,("FFIsmall", '\xF766')
  ,("FFLsmall", '\xF766')
  ,("FIsmall", '\xF766')
  ,("FLsmall", '\xF766')
  ,("Germandbls", '\x0053')
  ,("Germandblssmall", '\xF773')
  ,("Ng", '\x014A')
  ,("Omega", '\x2126')
  ,("Rfractur", '\x211C')
  ,("SS", '\x0053')
  ,("SSsmall", '\xF773')
  ,("altselector", '\xD802')
  ,("angbracketleft", '\x27E8')
  ,("angbracketright", '\x27E9')
  ,("arrowbothv", '\x2195')
  ,("arrowdblbothv", '\x21D5')
  ,("arrowleftbothalf", '\x21BD')
  ,("arrowlefttophalf", '\x21BC')
  ,("arrownortheast", '\x2197')
  ,("arrownorthwest", '\x2196')
  ,("arrowrightbothalf", '\x21C1')
  ,("arrowrighttophalf", '\x21C0')
  ,("arrowsoutheast", '\x2198')
  ,("arrowsouthwest", '\x2199')
  ,("ascendercompwordmark", '\xD80A')
  ,("asteriskcentered", '\x2217')
  ,("bardbl", '\x2225')
  ,("capitalcompwordmark", '\xD809')
  ,("ceilingleft", '\x2308')
  ,("ceilingright", '\x2309')
  ,("circlecopyrt", '\x20DD')
  ,("circledivide", '\x2298')
  ,("circledot", '\x2299')
  ,("circleminus", '\x2296')
  ,("coproduct", '\x2A3F')
  ,("ct", '\x0063')
  ,("cwm", '\x200C')
  ,("dblbracketleft", '\x27E6')
  ,("dblbracketright", '\x27E7')
  ,("diamond", '\x2662')
  ,("diamondmath", '\x22C4')
  ,("dotlessj", '\x0237')
  ,("emptyset", '\x2205')
  ,("emptyslot", '\xD801')
  ,("epsilon1", '\x03F5')
  ,("epsiloninv", '\x03F6')
  ,("equivasymptotic", '\x224D')
  ,("flat", '\x266D')
  ,("floorleft", '\x230A')
  ,("floorright", '\x230B')
  ,("follows", '\x227B')
  ,("followsequal", '\x2AB0')
  ,("followsorcurly", '\x227D')
  ,("greatermuch", '\x226B')
  ,("heart", '\x2661')
  ,("interrobang", '\x203D')
  ,("interrobangdown", '\x2E18')
  ,("intersectionsq", '\x2293')
  ,("latticetop", '\x22A4')
  ,("lessmuch", '\x226A')
  ,("longdbls", '\x017F')
  ,("longsh", '\x017F')
  ,("longsi", '\x017F')
  ,("longsl", '\x017F')
  ,("longst", '\xFB05')
  ,("lscript", '\x2113')
  ,("natural", '\x266E')
  ,("negationslash", '\x0338')
  ,("ng", '\x014B')
  ,("owner", '\x220B')
  ,("pertenthousand", '\x2031')
  ,("phi", '\x03D5')
  ,("phi1", '\x03C6')
  ,("pi1", '\x03D6')
  ,("precedesequal", '\x2AAF')
  ,("precedesorcurly", '\x227C')
  ,("prime", '\x2032')
  ,("rho1", '\x03F1')
  ,("ringfitted", '\xD80D')
  ,("sharp", '\x266F')
  ,("similarequal", '\x2243')
  ,("slurabove", '\x2322')
  ,("slurbelow", '\x2323')
  ,("st", '\xFB06')
  ,("star", '\x22C6')
  ,("subsetsqequal", '\x2291')
  ,("supersetsqequal", '\x2292')
  ,("triangle", '\x25B3')
  ,("triangleinv", '\x25BD')
  ,("triangleleft", '\x25C1')
  ,("triangleright", '\x25B7')
  ,("turnstileleft", '\x22A2')
  ,("turnstileright", '\x22A3')
  ,("twelveudash", '\xD80C')
  ,("unionmulti", '\x228E')
  ,("unionsq", '\x2294')
  ,("vector", '\x20D7')
  ,("visualspace", '\x2423')
  ,("wreathproduct", '\x2240')
  ,("Dbar", '\x0110')
  ,("compwordmark", '\x200C')
  ,("dbar", '\x0111')
  ,("rangedash", '\x2013')
  ,("hyphenchar", '\x002D')
  ,("punctdash", '\x2014')
  ,("visiblespace", '\x2423')
  ,("Yen", '\x00A5')
  ,("anticlockwise", '\x27F2')
  ,("arrowparrleftright", '\x21C6')
  ,("arrowparrrightleft", '\x21C4')
  ,("arrowtailleft", '\x21A2')
  ,("arrowtailright", '\x21A3')
  ,("arrowtripleleft", '\x21DA')
  ,("arrowtripleright", '\x21DB')
  ,("between", '\x226C')
  ,("check", '\x2713')
  ,("circleR", '\x00AE')
  ,("circleS", '\x24C8')
  ,("circleasterisk", '\x229B')
  ,("circleequal", '\x229C')
  ,("circlering", '\x229A')
  ,("clockwise", '\x27F3')
  ,("complement", '\x2201')
  ,("curlyleft", '\x21AB')
  ,("curlyright", '\x21AC')
  ,("dblarrowdwn", '\x21CA')
  ,("dblarrowheadleft", '\x219E')
  ,("dblarrowheadright", '\x21A0')
  ,("dblarrowup", '\x21C8')
  ,("defines", '\x225C')
  ,("diamondsolid", '\x2666')
  ,("difference", '\x224F')
  ,("dotplus", '\x2214')
  ,("downfall", '\x22CE')
  ,("equaldotleftright", '\x2252')
  ,("equaldotrightleft", '\x2253')
  ,("equalorfollows", '\x22DF')
  ,("equalorgreater", '\x2A96')
  ,("equalorless", '\x2A95')
  ,("equalorprecedes", '\x22DE')
  ,("equalsdots", '\x2251')
  ,("followsorequal", '\x227F')
  ,("forces", '\x22A9')
  ,("forcesbar", '\x22AA')
  ,("fork", '\x22D4')
  ,("frown", '\x2322')
  ,("geomequivalent", '\x224E')
  ,("greaterdbleqlless", '\x2A8C')
  ,("greaterdblequal", '\x2267')
  ,("greaterlessequal", '\x22DB')
  ,("greaterorapproxeql", '\x2A86')
  ,("greaterorequalslant", '\x2A7E')
  ,("greaterorsimilar", '\x2273')
  ,("harpoondownleft", '\x21C3')
  ,("harpoondownright", '\x21C2')
  ,("harpoonleftright", '\x21CC')
  ,("harpoonrightleft", '\x21CB')
  ,("harpoonupleft", '\x21BF')
  ,("harpoonupright", '\x21BE')
  ,("intercal", '\x22BA')
  ,("intersectiondbl", '\x22D2')
  ,("lessdbleqlgreater", '\x2A8B')
  ,("lessdblequal", '\x2266')
  ,("lessequalgreater", '\x22DA')
  ,("lessorapproxeql", '\x2A85')
  ,("lessorequalslant", '\x2A7D')
  ,("lessorsimilar", '\x2272')
  ,("maltesecross", '\x2720')
  ,("measuredangle", '\x2221')
  ,("multimap", '\x22B8')
  ,("multiopenleft", '\x22CB')
  ,("multiopenright", '\x22CC')
  ,("nand", '\x22BC')
  ,("orunderscore", '\x22BB')
  ,("perpcorrespond", '\x2A5E')
  ,("precedesorequal", '\x227E')
  ,("primereverse", '\x2035')
  ,("revasymptequal", '\x22CD')
  ,("revsimilar", '\x223D')
  ,("rightanglene", '\x231D')
  ,("rightanglenw", '\x231C')
  ,("rightanglese", '\x231F')
  ,("rightanglesw", '\x231E')
  ,("ringinequal", '\x2256')
  ,("satisfies", '\x22A8')
  ,("shiftleft", '\x21B0')
  ,("shiftright", '\x21B1')
  ,("smile", '\x2323')
  ,("sphericalangle", '\x2222')
  ,("square", '\x25A1')
  ,("squaredot", '\x22A1')
  ,("squareimage", '\x228F')
  ,("squareminus", '\x229F')
  ,("squaremultiply", '\x22A0')
  ,("squareoriginal", '\x2290')
  ,("squareplus", '\x229E')
  ,("squaresolid", '\x25A0')
  ,("squiggleleftright", '\x21AD')
  ,("squiggleright", '\x21DD')
  ,("subsetdbl", '\x22D0')
  ,("subsetdblequal", '\x2AC5')
  ,("supersetdbl", '\x22D1')
  ,("supersetdblequal", '\x2AC6')
  ,("triangledownsld", '\x25BC')
  ,("triangleleftequal", '\x22B4')
  ,("triangleleftsld", '\x25C0')
  ,("trianglerightequal", '\x22B5')
  ,("trianglerightsld", '\x25B6')
  ,("trianglesolid", '\x25B2')
  ,("uniondbl", '\x22D3')
  ,("uprise", '\x22CF')
  ,("Digamma", '\x1D7CB')
  ,("Finv", '\x2132')
  ,("Gmir", '\x2141')
  ,("Omegainv", '\x2127')
  ,("approxorequal", '\x224A')
  ,("archleftdown", '\x21B6')
  ,("archrightdown", '\x21B7')
  ,("beth", '\x2136')
  ,("daleth", '\x2138')
  ,("dividemultiply", '\x22C7')
  ,("downslope", '\x29F9')
  ,("equalorsimilar", '\x2242')
  ,("follownotdbleqv", '\x2ABA')
  ,("follownotslnteql", '\x2AB6')
  ,("followornoteqvlnt", '\x22E9')
  ,("greaterdot", '\x22D7')
  ,("greaternotdblequal", '\x2A8A')
  ,("greaternotequal", '\x2A88')
  ,("greaterornotdbleql", '\x2269')
  ,("greaterornotequal", '\x2269')
  ,("integerdivide", '\x2216')
  ,("lessdot", '\x22D6')
  ,("lessnotdblequal", '\x2A89')
  ,("lessnotequal", '\x2A87')
  ,("lessornotdbleql", '\x2268')
  ,("lessornotequal", '\x2268')
  ,("multicloseleft", '\x22C9')
  ,("multicloseright", '\x22CA')
  ,("notapproxequal", '\x2247')
  ,("notarrowboth", '\x21AE')
  ,("notarrowleft", '\x219A')
  ,("notarrowright", '\x219B')
  ,("notbar", '\x2224')
  ,("notdblarrowboth", '\x21CE')
  ,("notdblarrowleft", '\x21CD')
  ,("notdblarrowright", '\x21CF')
  ,("notexistential", '\x2204')
  ,("notfollows", '\x2281')
  ,("notfollowsoreql", '\x2AB0')
  ,("notforces", '\x22AE')
  ,("notforcesextra", '\x22AF')
  ,("notgreaterdblequal", '\x2267')
  ,("notgreaterequal", '\x2271')
  ,("notgreaterorslnteql", '\x2A7E')
  ,("notlessdblequal", '\x2266')
  ,("notlessequal", '\x2270')
  ,("notlessorslnteql", '\x2A7D')
  ,("notprecedesoreql", '\x2AAF')
  ,("notsatisfies", '\x22AD')
  ,("notsimilar", '\x2241')
  ,("notsubseteql", '\x2288')
  ,("notsubsetordbleql", '\x2AC5')
  ,("notsubsetoreql", '\x228A')
  ,("notsuperseteql", '\x2289')
  ,("notsupersetordbleql", '\x2AC6')
  ,("notsupersetoreql", '\x228B')
  ,("nottriangeqlleft", '\x22EC')
  ,("nottriangeqlright", '\x22ED')
  ,("nottriangleleft", '\x22EA')
  ,("nottriangleright", '\x22EB')
  ,("notturnstile", '\x22AC')
  ,("planckover2pi", '\x210F')
  ,("planckover2pi1", '\x210F')
  ,("precedenotdbleqv", '\x2AB9')
  ,("precedenotslnteql", '\x2AB5')
  ,("precedeornoteqvlnt", '\x22E8')
  ,("subsetnoteql", '\x228A')
  ,("subsetornotdbleql", '\x2ACB')
  ,("supersetnoteql", '\x228B')
  ,("supersetornotdbleql", '\x2ACC')
  ,("upslope", '\x29F8')
  ]
